<?php
class WliquidacionController extends WadminController {
	
	public function listadoAction(){
		
		$potencial_loquedado = Usuario::getPotencialLogueado();
		$comercial_logueado = $potencial_loquedado->getCodigoComisionista();
		
		$año = $this->getParametro('a',-1);
		$mes = $this->getParametro('m',-1);
		$dia = $this->getParametro('d',-1);
		if ($año<0){
			$año = date('Y');
			$mes = date('m');
		}

		$fechaTexto = '';
		
		// Lógica
		$lst = new LSTLiquidacion();
		$lst->addParametroMetodo('comercial', $comercial_logueado);
		if ($año>0) {
			$lst->addParametroMetodo('anyo', $año);
			$fechaTexto = ' del '.$año;
			if ($mes>0){ 
				$lst->addParametroMetodo('mes', $mes);
				$fechaTexto = ' de '.ucfirst(Tool::fecha_NumeroMesACadena($mes)).$fechaTexto;
				if ($dia>0) {
					$lst->addParametroMetodo('dia', $dia);
					$fechaTexto = ' del '.$dia.$fechaTexto;
				}
			}	
		}
		
		$lst_LiquidacionMensual = new LSTLiquidacionMensual();
		$lst_LiquidacionMensual->addParametroMetodo('comercial', $comercial_logueado);
		//$lst_LiquidacionMensual = new LSTServicio();

		
		// Visual
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Liquidaciones'.$fechaTexto);
		$ly->reg_contenido->addElement($lst);
		$tituloLst = new VstHTML('<br/><h4>Liquidaciones por Meses</h4>');
		$ly->reg_contenido->addElement($tituloLst);
		$ly->reg_contenido->addElement($lst_LiquidacionMensual);
			
	}
			
}